Subject: bug#62940: 29.0.60; vc: no easy way to get diff of all outgoing changes

From: Sean Whitton <[email-masked]>
Date: Wed, 21 May 2025 13:02:00 +0100

Hello,

On Mon 19 May 2025 at 04:49am +03, Dmitry Gutov wrote:

> On 18/05/2025 14:04, Sean Whitton wrote:
>
>>> What I was referring to, is the item D. from the original report's
>>> description: being able to make the diff between the last pushed revision
>>> ("upstream revision" or merge-base with it) and the current state of the
>>> working directory, including the uncommitted changes.
>> Ah, right.
>>
>>> IIUC vc-diff-fileset-outgoing wouldn't include those changes,
>> Right.
>>
>>> or if it would, someone would prefer (or like to be able to) making
>>> the diff which doesn't include uncommitted changes.
>> You mean one that *does* include uncommitted changes, right?
>
> I meant that if we make new commands that will include those changes, some
> might like a version that does not. Just the basic theoretical argument for
> flexibility.

Ah, right.  I agree.

>>> Fair point. I wonder how many are really aware of this submap, and of
>>> the 'C-x v b' submap as well.
>> Yeah.  Any thoughts on making it more discoverable?
>
> The 'C-x v M' commands could be added to the manual - if we do think they will
> be used often enough.
>
> For the branch submap, the recently added which-key-map will probably help
> some.

Well, I was definitely thinking of adding the incoming and outgoing
commands to the manual, at the very least.

-- 
Sean Whitton